Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.fourthline.cling.support.avtransport.impl.state
Class Stopped<T extends AVTransport>

    java.lang.Object
      org.fourthline.cling.support.avtransport.impl.state.AbstractState
          org.fourthline.cling.support.avtransport.impl.state.Stopped<T>

    public abstract class Stopped<T extends AVTransport>

extends AbstractState

Author:
  Christian Bauer

Constructor Summary
`Stopped(T transport)`

Method Summary
`TransportAction[]` | `getCurrentTransportActions()`
`abstract Class<? extends AbstractState>` | `next()`
`void` | `onEntry()`
`abstract Class<? extends AbstractState>` | `play(String speed)`
`abstract Class<? extends AbstractState>` | `previous()`
`abstract Class<? extends AbstractState>` | `seek(SeekMode unit, String target)`
`abstract Class<? extends AbstractState>` | `setTransportURI(URI uri, String metaData)`
`abstract Class<? extends AbstractState>` | `stop()`

Methods inherited from class org.fourthline.cling.support.avtransport.impl.state.AbstractState
`getTransport`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Stopped

    public Stopped(T transport)

Method Detail

### onEntry

    public void onEntry()

### setTransportURI

    public abstract Class<? extends AbstractState> setTransportURI(URI uri,
                                                                   String metaData)

### stop

    public abstract Class<? extends AbstractState> stop()

### play

    public abstract Class<? extends AbstractState> play(String speed)

### next

    public abstract Class<? extends AbstractState> next()

### previous

    public abstract Class<? extends AbstractState> previous()

### seek

    public abstract Class<? extends AbstractState> seek(SeekMode unit,
                                                        String target)

### getCurrentTransportActions

    public TransportAction[] getCurrentTransportActions()

  Specified by:
    `getCurrentTransportActions` in class `AbstractState`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013 4th Line GmbH, Switzerland. All Rights Reserved.